from PIL import Image
from math import sqrt

def spiral(n,tableau_RGB):
    dx,dy = 1,0            # Starting increments
    x,y = 0,0              # Starting location
    myarray = [[None]* n for j in range(n)]
    for i in xrange(n**2):
        myarray[x][y] = tableau_RGB[i] 
        nx,ny = x+dx, y+dy
        if 0<=nx<n and 0<=ny<n and myarray[nx][ny] == None:
            x,y = nx,ny
        else:
            dx,dy = -dy,dx
            x,y = x+dx, y+dy
    return myarray
 
def printspiral(myarray):
    n = range(len(myarray))
    for y in n:
        for x in n:
            print myarray[x][y],
        print

def creationimage(myarray):
    n = range(len(myarray))
    image = Image.new("RGB", (len(myarray),len(myarray)), "white")
    for y in n:
        for x in n:
           image.putpixel((x,y),myarray[x][y])  
    image.save("RGB#Spiral#002.jpg", "JPEG")

def initRGB(n):
    tableau_RGB = []
    for x in range(n):
        for y in range(n):
            for z in range(n):
	     		tableau_RGB.append((abs(256-x),y,abs(256-z)))	
    return tableau_RGB

size = 256
sizeTotal = size * size * size
#printspiral(spiral(8,initRGB(4)))
creationimage(spiral(int(sqrt(sizeTotal)),initRGB(size)))
